''This code example is from Propeller Education Kit Labs: Fundamentals, v1.1.
''A .pdf copy of the book is available from www.parallax.com, and also through
''the Propeller Tool software's Help menu (v1.2.6 or newer).
''
'' TestIrDutyDistanceDetector.spin
'' Test distance detection with IrDetector object.

CON

  _xinfreq = 5_000_000                      
  _clkmode = xtal1 + pll16x

   
OBJ

  ir     : "IrDetectorr"
      
var
  long Stack[200]
  
PUB TestIrr(addrRIR)
  
  cognew(GetDistR(addrRIR), @Stack[0])
  
Pub GetDistR(addrRIR) | rdist
  
  LONG[addrRIR] := -1  
  ir.init(20, 21, 18)                   

  repeat
    rdist := ir.Distance
    LONG[addrRIR] := rdist
    waitcnt(clkfreq/100 + cnt)
    
    